plr (1:8.4.6-2) unstable; urgency=medium

  * Upload for PostgreSQL 16.
  * Use ${postgresql:Depends}.

 -- Christoph Berg <myon@debian.org>  Mon, 18 Sep 2023 15:59:38 +0000

plr (1:8.4.6-1) unstable; urgency=medium

  * New upstream version 8.4.6 with PG16 support.

 -- Christoph Berg <myon@debian.org>  Wed, 02 Aug 2023 15:06:07 +0200

plr (1:8.4.5-2) unstable; urgency=medium

  * Upload for PostgreSQL 15.
  * debian/watch: Look at GitHub tags instead of releases.

 -- Christoph Berg <myon@debian.org>  Mon, 24 Oct 2022 15:31:45 +0200

plr (1:8.4.5-1) unstable; urgency=medium

  * New upstream version 8.4.5.

 -- Christoph Berg <myon@debian.org>  Fri, 26 Nov 2021 15:51:25 +0100

plr (1:8.4.4-1) unstable; urgency=medium

  * New upstream version 8.4.4.
  * Upload for PostgreSQL 14.

 -- Christoph Berg <myon@debian.org>  Wed, 20 Oct 2021 14:10:41 +0200

plr (1:8.4.3-1) unstable; urgency=medium

  * New upstream version 8.4.3.

 -- Christoph Berg <myon@debian.org>  Wed, 29 Sep 2021 12:05:16 +0200

plr (1:8.4.2-1) experimental; urgency=medium

  * New upstream version 8.4.2.

 -- Christoph Berg <myon@debian.org>  Wed, 30 Jun 2021 14:31:39 +0200

plr (1:8.4.1-2) unstable; urgency=medium

  * Upload for PostgreSQL 13.
  * Use dh --with pgxs_loop (but no build-time tests yet).
  * DH 13.
  * debian/tests: Use 'make' instead of postgresql-server-dev-all.
  * debian/tests: Use pg_buildext installcheck.

 -- Christoph Berg <myon@debian.org>  Tue, 06 Oct 2020 16:03:35 +0200

plr (1:8.4.1-1) unstable; urgency=low

  [ Debian Janitor ]
  * Bump debhelper from deprecated 9 to 12.
  * Set debhelper-compat version in Build-Depends.
  * Update renamed lintian tag names in lintian overrides.
  * Set upstream metadata fields: Bug-Database, Bug-Submit.
  * Update standards version to 4.5.0, no changes needed.

  [ Christoph Berg ]
  * New upstream version 8.4.1.

 -- Christoph Berg <myon@debian.org>  Fri, 25 Sep 2020 11:41:01 +0200

plr (1:8.4-2) unstable; urgency=medium

  * Upload for PostgreSQL 12.

 -- Christoph Berg <myon@debian.org>  Wed, 30 Oct 2019 12:51:37 +0100

plr (1:8.4-1) experimental; urgency=medium

  * New upstream version.

 -- Christoph Berg <myon@debian.org>  Tue, 04 Jun 2019 11:55:26 +0200

plr (1:8.3.0.18-2) unstable; urgency=medium

  * Upload for PostgreSQL 11.

 -- Christoph Berg <myon@debian.org>  Sat, 13 Oct 2018 11:32:48 +0200

plr (1:8.3.0.18-1) unstable; urgency=medium

  * New upstream version.
  * Move maintainer address to team+postgresql@tracker.debian.org.

 -- Christoph Berg <myon@debian.org>  Mon, 01 Oct 2018 21:41:51 +0200

plr (1:8.3.0.17-14-gc9498af-1) unstable; urgency=medium

  * New upstream snapshot with PG11 support.
  * Move packaging repository to salsa.debian.org

 -- Christoph Berg <christoph.berg@credativ.de>  Tue, 26 Jun 2018 15:28:06 +0200

plr (1:8.3.0.17-3) unstable; urgency=medium

  * Use SOURCE_DATE_EPOCH for documentation timestamp via openjade.
    Closes: #877381

 -- Christoph Berg <myon@debian.org>  Sat, 07 Oct 2017 17:21:25 +0200

plr (1:8.3.0.17-2) unstable; urgency=medium

  * Team upload with PostgreSQL 10 support.

 -- Christoph Berg <christoph.berg@credativ.de>  Wed, 27 Sep 2017 12:44:41 +0200

plr (1:8.3.0.17-1) unstable; urgency=medium

  * Team upload.
  * New upstream version.
  * Compile docs at build time.
  * Remove obsolete README.Debian file.

 -- Christoph Berg <christoph.berg@credativ.de>  Wed, 16 Nov 2016 14:18:51 +0100

plr (1:8.3.0.16-2) unstable; urgency=medium

  * Upload with 9.6 support.
  * Update watchfile URL.

 -- Christoph Berg <myon@debian.org>  Mon, 26 Sep 2016 23:00:04 +0200

plr (1:8.3.0.16-1) unstable; urgency=medium

  * New upstream version with 9.5 support.
  * Don't remove docs on clean.
  * Remove special handling for libR on lucid.

 -- Christoph Berg <myon@debian.org>  Sun, 10 Jan 2016 17:30:23 +0100

plr (1:8.3.0.15-5) UNRELEASED; urgency=medium

  * Work around missing /usr/lib/libR.so on lucid. Code was already
    present in debian/postinst, but not installed into all binaries.
    Patch by Robert Stone, thanks!

 -- Christoph Berg <myon@debian.org>  Fri, 05 Sep 2014 09:38:42 +0200

plr (1:8.3.0.15-4) unstable; urgency=medium

  * Upload to unstable for 9.4.

 -- Christoph Berg <myon@debian.org>  Fri, 25 Jul 2014 22:34:42 +0200

plr (1:8.3.0.15-3) experimental; urgency=medium

  * B-D on pg-common >= 158~ in experimental (9.3+9.4).
  * Drop quilt B-D.
  * Set team as maintainer.

 -- Christoph Berg <myon@debian.org>  Sat, 05 Jul 2014 22:47:03 +0200

plr (1:8.3.0.15-2) unstable; urgency=medium

  [ Martin Pitt ]
  * Add postgresql-server-dev-all and pkg-config test dependencies as the test
    uses pg_buildext and pkg-config.
  * debian/tests/installcheck: Temporarily modify test script to use CREATE
    EXTENSION instead of sourcing the build tree's plr.psql. We want to test
    the installed package and avoid building.

  [ Christoph Berg ]
  * Add expected/plr_1.out to catch the 8.4 test results.

 -- Christoph Berg <christoph.berg@credativ.de>  Mon, 10 Feb 2014 13:15:51 +0100

plr (1:8.3.0.15-1) unstable; urgency=low

  * New upstream version.
  * Use "8.4+" in debian/pgversions and B-D on postgresql-server-dev-all
    >= 148.  Closes: #725572.

 -- Christoph Berg <myon@debian.org>  Fri, 16 Aug 2013 12:48:32 +0200

plr (1:8.3.0.14-1) experimental; urgency=low

  * New upstream version.

 -- Christoph Berg <myon@debian.org>  Sun, 31 Mar 2013 23:40:26 +0200

plr (1:8.3.0.13.1-1) experimental; urgency=low

  [ Andreas Tille ]
  * debian/control[.in]
     - Fixed Vcs fields
     - Standards-Version: 3.9.3 (no changes needed)

  [ Christoph Berg ]
  * New upstream version.
  * Add autopkgtest regression test. (Expected failure on 8.4.)
  * debian/pgversions: Add 9.2 and 9.3.
  * debian/rules: Use system pg_buildext again (>= 140).

 -- Christoph Berg <myon@debian.org>  Thu, 31 Jan 2013 11:22:58 +0100

plr (1:8.3.0.13-1) unstable; urgency=low

  * Take over as maintainer, thanks to Andreas for the permission!
  * New upstream version.
  * Rewrite debian/rules to build for multiple PostgreSQL versions using
    pg_buildext.  Closes: #639473
  * Setting RPATH seems to be redundant, remove it
  * As debian/rules doesn't set R_HOME, remove the Makefile patch around it.

 -- Christoph Berg <myon@debian.org>  Thu, 06 Oct 2011 23:41:43 +0200

plr (1:8.3.0.9-1) unstable; urgency=low

  * New upstream version
  * Standards-Version: 3.8.4 (no changes needed)
  * Versioned depends from r-base-core
    Closes: #544644
  * Probably because of the upstream version number the reporter of
    bug #559586 assumed that the package would be related to
    PostgreSQL version 8.3.  According to upstream it works with both
    PostgreSQL 8.3 *and* 8.4 but the package is build to work with
    version 8.4 exclusively since latest upload.
    Closes: #559586

 -- Andreas Tille <tille@debian.org>  Wed, 10 Feb 2010 14:38:45 +0100

plr (1:8.3.0.8-2) unstable; urgency=low

  * Section database instead of libs
  * Standards-Version: 3.8.3 (no changes needed)
  * Works also with postgresql 8.4
  * debian/postinst: Make sure libR.so will be found
    by PL/R

 -- Andreas Tille <tille@debian.org>  Thu, 19 Nov 2009 07:51:12 +0100

plr (1:8.3.0.8-1) unstable; urgency=low

  * New upstream version
    Patch debian/patches/20_r2.8compat.patch was adopted upstream
  * Prevent default "pg_config" from returning 8.4-related paths
    (Thanks to Chris Lamb <lamby@debian.org>)
    Closes: #537008
  * Standards-Version: 3.8.2 (no changes needed)
  * Debhelper 7

 -- Andreas Tille <tille@debian.org>  Thu, 30 Jul 2009 19:05:30 +0200

plr (1:8.3.0.6-3) unstable; urgency=low

  * Fix FTBFS bug when building against R2.8 according to a
    hint from upstream.
    Closes: #510251, #512891

 -- Andreas Tille <tille@debian.org>  Mon, 26 Jan 2009 07:20:17 +0100

plr (1:8.3.0.6-2) unstable; urgency=low

  * Fixed Vcs fields
  * Adding README.Debian with hints what is needed to configure PL/R
    and makesure that ldconfig is called in postinst script
    Closes: #506728

 -- Andreas Tille <tille@debian.org>  Mon, 24 Nov 2008 15:21:23 +0100

plr (1:8.3.0.6-1) unstable; urgency=low

  * New upstream version
  * New maintainer (package was removed from Debian and is subject
    to reinclude)
    Closes: #491156
  * Added watch file
  * Use quilt to apply patch
  * Standards-Version: 3.8.0 (Added README.Sources because of using quilt)
  * debian/install: Make sure that any new version of the library gets
    moved to the right destination
    Closes: #461995
  * debian/rules: Remove -rpath stuff
  * debian/control:
    - Provides: postgresql-plr
    - Added Homepage field
    - Added Vcs fields

 -- Andreas Tille <tille@debian.org>  Wed, 16 Jul 2008 16:17:11 +0200

plr (1:8.2.0.7-3) unstable; urgency=low

  * QA Upload
  * Add build-dep on pkg-config
  * Fix pg_config call in Makefile (Closes: #460366)

 -- Barry deFreese <bddebian@comcast.net>  Fri, 18 Jan 2008 14:16:08 -0500

plr (1:8.2.0.7-2) unstable; urgency=low

  * Orphan package (see #228074).

 -- Martin Pitt <mpitt@debian.org>  Sun, 30 Dec 2007 20:38:42 +0100

plr (1:8.2.0.7-1) unstable; urgency=low

  * New upstream release.
  * Drop debian/patches/R_HOME_default.patch: Upstream now checks R's
    pkg-config for R's home directory and uses it as a default.

 -- Martin Pitt <mpitt@debian.org>  Sun, 16 Sep 2007 14:48:32 +0200

plr (1:8.2.0.1-2) unstable; urgency=low

  * Move packaging to cdbs.
  * Add debian/patches/R_HOME_default.patch: Fall back to /usr/lib/R if R_HOME
    is not defined. This is pretty much a constant in Debian and Ubuntu, and
    doing it with an implicit default is much more elegant than hacking in
    configuration files. Thanks to Luca Falavigna for this patch!
    Closes: #439270 and LP: #130059

 -- Martin Pitt <martin.pitt@ubuntu.com>  Fri, 24 Aug 2007 17:42:15 +0200

plr (1:8.2.0.1-1) unstable; urgency=low

  * New upstream version, now works with PostgreSQL 8.2.
  * Drop the 7.4 and 8.1 packages, only build 8.2 extension.
  * Greatly simplify the build scripts to only build one version of the
    extension.
  * debian/control: Update Standards-Version.
  * debian/copyright: Update FSF address and copyright years.
  * plr.h: Fix R_PARSEVECTOR macro for new R_ParseVector() API of R 2.5.

 -- Martin Pitt <mpitt@debian.org>  Thu, 19 Apr 2007 23:35:06 +0200

plr (1:0.6.2-4) unstable; urgency=low

  * Build on mips and mipsel again, now that the PostgreSQL SIGBUS problem
    turned out to be a kernel bug (which is fixed in 2.6.16).

 -- Martin Pitt <mpitt@debian.org>  Sun, 23 Jul 2006 10:21:03 +0200

plr (1:0.6.2-3) unstable; urgency=medium

  * Urgency medium since this blocks postgresql-7.4 migration to testing and
    only has one important bug fix.
  * Do not build packages on mips and mipsel any more, since PostgreSQL does
    not currently work on these architectures (see bug #357603).
  * debian/rules: Add rpath /usr/lib/R/lib to plr.so libraries so that PL/R
    can be created without manual hacking. Closes: #360796

 -- Martin Pitt <mpitt@debian.org>  Sun, 16 Jul 2006 18:04:54 +0200

plr (1:0.6.2-2) unstable; urgency=high

  * Urgency high since this only fixes an RC bug.
  * Fix FTBFS. Closes: #356102:
    - debian/rules: Fix R include path for 7.4 build.
    - debian/Makefile.Debian.7.4: Fix R include path for 8.1 build.

 -- Martin Pitt <mpitt@debian.org>  Mon, 13 Mar 2006 17:35:46 +0100

plr (1:0.6.2-1) unstable; urgency=low

  * New upstream version.
  * Drop package for PostgreSQL 8.0, build 8.1 package. Closes: #339416

 -- Martin Pitt <mpitt@debian.org>  Thu, 17 Nov 2005 19:38:03 +0100

plr (1:0.6.1-1) unstable; urgency=low

  * New upstream version; orig.tar.gz now contains just the upstream tarball
    for easier multi-build.
  * Transition to new PostgreSQL architecture.
  * debian/control:
    - Changed build dependency postgresql-dev to postgresql-server-dev-7.4 and
      postgresql-server-dev-8.0.
    - Now build packages for 7.4 and 8.0 servers.

 -- Martin Pitt <martin.pitt@ubuntu.com>  Mon,  6 Jun 2005 17:23:32 +0200

plr (1:0.5.3+0.5.4alpha-2) unstable; urgency=high

  * debian/Makefile.Debian: libR.so is now in /usr/lib/R/lib (not in
    /usr/lib/R/bin any more), which caused an FTBFS (closes: #278422)
  * urgency high since this is an RC bug and nothing else changed

 -- Martin Pitt <mpitt@debian.org>  Wed, 27 Oct 2004 11:31:26 +0200

plr (1:0.5.3+0.5.4alpha-1) unstable; urgency=low

  * Separated out of postgresql source package; thus a new epoch had to be
    created, postgresql is already at 7.4.1
  * created new Makefile.Debian to allow building outside of the PostgreSQL
    source tree
  * added depencendy postgresql since this package does not make sense
    without it
  * now ships documentation stylesheet

 -- Martin Pitt <mpitt@debian.org>  Fri, 16 Jan 2004 22:54:37 +0100
